import { gsap, Power0, Power1, Power2, Power3, Power4, Linear, Quad, Cubic, Quart, Quint, Strong, Elastic, Back, SteppedEase, Bounce, Sine, Expo, Circ, TweenMax, TweenLite, TimelineLite, TimelineMax } from "./gsap-core.js";
import { CSSPlugin } from "./CSSPlugin.js";
import { MotionPathPlugin } from "./MotionPathPlugin.js";
import { PixiPlugin } from "./PixiPlugin.js";

//BONUS IMPORTS
import { CustomBounce } from "./CustomBounce.js";
import { CustomEase } from "./CustomEase.js";
import { CustomWiggle } from "./CustomWiggle.js";
import { DrawSVGPlugin } from "./DrawSVGPlugin.js";
import { MorphSVGPlugin } from "./MorphSVGPlugin.js";
import { MotionPathHelper } from "./MotionPathHelper.js";
import { ScrambleTextPlugin } from "./ScrambleTextPlugin.js";
import { SplitText } from "./SplitText.js";

gsap.registerPlugin(CSSPlugin);

export {

	//-- CORE --
	gsap,
	gsap as default,
	CSSPlugin,
	TweenMax,
	TweenLite,
	TimelineMax,
	TimelineLite,
	Power0,
	Power1,
	Power2,
	Power3,
	Power4,
	Linear,
	Quad,
	Cubic,
	Quart,
	Quint,
	Strong,
	Elastic,
	Back,
	SteppedEase,
	Bounce,
	Sine,
	Expo,
	Circ,

	//-- PLUGINS --
	MotionPathPlugin,
	PixiPlugin,


	//-- BONUS --
	CustomBounce,
	CustomEase,
	CustomWiggle,
	DrawSVGPlugin,
	MorphSVGPlugin,
	MotionPathHelper,
	ScrambleTextPlugin,
	SplitText

};